Contacts and reports
Read the fund's contacts and its LP reports.
List contacts
The fund's contacts.
Query parameters
| Name | Type |
|---|---|
limitItems per page (1-200). Default 50. | integer |
cursorThe next_cursor from the previous page. Up to 200 characters. | string |
updated_sinceUnix seconds. Only items created or changed at or after this time. | integer |
Example request
curl https://www.ideapulley.com/api/v2/contacts \
-H "Authorization: Bearer $IDEAPULLEY_KEY"const res = await fetch("https://www.ideapulley.com/api/v2/contacts", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
},
});
const data = await res.json();import os
import requests
res = requests.get(
"https://www.ideapulley.com/api/v2/contacts",
headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()Response
{
"data": [
{ … }
],
"next_cursor": "eyJpZCI6NDJ9",
"has_more": true
}List LP reports
LP reports, newest first.
Query parameters
| Name | Type |
|---|---|
limitItems per page (1-200). Default 50. | integer |
cursorThe next_cursor from the previous page. Up to 200 characters. | string |
updated_sinceUnix seconds. Only items created or changed at or after this time. | integer |
Example request
curl https://www.ideapulley.com/api/v2/lp-reports \
-H "Authorization: Bearer $IDEAPULLEY_KEY"const res = await fetch("https://www.ideapulley.com/api/v2/lp-reports", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
},
});
const data = await res.json();import os
import requests
res = requests.get(
"https://www.ideapulley.com/api/v2/lp-reports",
headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()Response
{
"data": [
{ … }
],
"next_cursor": "eyJpZCI6NDJ9",
"has_more": true
}Get an LP report
One LP report.
Path parameters
| Name | Type |
|---|---|
idRequiredThe ID. | integer |
Example request
curl https://www.ideapulley.com/api/v2/lp-reports/42 \
-H "Authorization: Bearer $IDEAPULLEY_KEY"const res = await fetch("https://www.ideapulley.com/api/v2/lp-reports/42", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
},
});
const data = await res.json();import os
import requests
res = requests.get(
"https://www.ideapulley.com/api/v2/lp-reports/42",
headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()Response
{
"data": { … }
}